<div class="ask-route">
  <mat-card class="article">
    <mat-card-header>
      <h1>Find a route between two places</h1>
    </mat-card-header>

    <mat-card-content>
      <mat-grid-list gutterSize="20px" cols="3" rowHeight="65px" class="select-itinerary">

        <mat-grid-tile class="origin case">
          <mat-icon class="boat-destination boat-icon">location_searching</mat-icon>
          <mat-input-container class="input-origin input">
            <input matInput placeholder="Origin" aria-label="Origin" [matAutocomplete]="auto" [formControl]="originCtrl" autofocus>
            <mat-autocomplete #auto="matAutocomplete"  [displayWith]="displayHarbor">
              <mat-option *ngFor="let harbor of filteredHarborsOrigin | async" [value]="harbor">
                {{ harbor.name }}, {{harbor.country}}
              </mat-option>
            </mat-autocomplete>
          </mat-input-container>
        </mat-grid-tile>

        <mat-grid-tile class="destination case">
          <mat-icon class="boat-destination boat-icon">pin_drop</mat-icon>
          <mat-input-container class="input-destination input">
            <input matInput placeholder="Destination" aria-label="Destination" [matAutocomplete]="destination" [formControl]="destinationCtrl">
            <mat-autocomplete #destination="matAutocomplete" [displayWith]="displayHarbor">
              <mat-option *ngFor="let harbor of filteredHarborsDestination | async" [value]="harbor">
                {{ harbor.name }}, {{harbor.country}}
              </mat-option>
            </mat-autocomplete>

          </mat-input-container>
        </mat-grid-tile>

        <mat-grid-tile class="find">
          <button *ngIf="!pathLoading"(click)="onFindItinerary()" class="find-button" mat-raised-button color="primary">
              <mat-icon>search</mat-icon> Find itinerary
          </button>
          <mat-progress-spinner diameter="40" class="loading" color="primary" mode="indeterminate" *ngIf="pathLoading"></mat-progress-spinner>

        </mat-grid-tile>

      </mat-grid-list>

      <agm-map [disableDefaultUI]="false" [zoom]="zoom" [latitude]="latitude" [longitude]="longitude">
        <agm-data-layer [geoJson]="path"></agm-data-layer>
        <!-- <agm-marker [latitude]="latitude" [longitude]="longitude"></agm-marker> -->
        <!-- <agm-marker
          *ngFor="let m of markers; let i = index"
          (markerClick)="clickedMarker(m.label, i)"
          [latitude]="m.lat"
          [longitude]="m.lng"
          [label]="m.label">
            <agm-info-window>
              <strong>{{m.city}}, {{m.country}}</strong>
              <p>latitude : {{m.lat}} </p>
              <p>longitude : {{m.lng}}</p>
            </agm-info-window>
        </agm-marker> -->
      </agm-map>

    </mat-card-content>
  </mat-card>
</div>
